<div class="planetdetail" *ngIf="planet">
        <h2 class="planet-title">{{planet.name | uppercase}} Details</h2>
        <div class="info-line"><span>Id: </span>{{planet.id}}</div>
        <div *ngIf="!updatePlanetToggle; else updatePlanetNow">
                <div class="info-line"><span>Name: </span>{{planet.name}}</div>
                <div class="info-line"><span>Size: </span>{{planet.size}}</div>
                <div class="info-line"><span>Date discovered: </span>{{planet.date_discovered}}</div>
                <div class="detail-buttons">
                        <button (click)="toggleUpdateOn()">Update Planet Info</button>
                        <button (click)="deletePlanetPrompt()">Delete Planet</button>
                </div>
        </div>

        <ng-template #updatePlanetNow>
                <div class="info-line">
                        <label>Name:
                                <input [(ngModel)]="planet.name" placeholder="Enter planet name" />
                        </label>
                </div>
                <div class="info-line">
                        <label>Size:
                                <input [(ngModel)]="planet.size" placeholder="Enter planet size" />
                        </label>
                </div>
                <div class="info-line">
                        <label>Date Discovered:
                                <input [(ngModel)]="planet.date_discovered" placeholder="Enter date discovered" />
                        </label>
                </div>
                <div class="detail-buttons">
                                <button (click)="updatePlanetInfo()">Update Planet Info</button>
                                <button (click)="cancelUpdate()">Cancel Update</button>
                        </div>
        </ng-template>


</div>